import QtQuick 2.0

Flickable {
    id: flickableView
    contentWidth: gridView.width + (privateProperties.padding * 2)
    contentHeight: gridView.height + (privateProperties.padding * 2)

    QtObject {
        id: privateProperties
        readonly property int padding: 100
        readonly property int rows: 200
        readonly property int columns: 200
    }

    Grid {
        id: gridView

        x: privateProperties.padding
        y: privateProperties.padding

        rows: privateProperties.rows
        columns: privateProperties.columns

        Repeater {
            model: gridView.columns * gridView.rows

            Rectangle {
                width: 50
                height: 50
                border.width: 1
                color: "red"
            }
        }
    }
}
